function param1()
  return "interval", 10, 100, 100
end

function param2()
	return "jitter", 0, 100, 0
end


function main( x, y, p )

	local mul = 0.08
	local rdm1 = bs_grand( 0, 3.14 ) * bs_param2()/100
	local rdm2 = math.random() * bs_param2()/2000
	
	local w = bs_width()
	local dx,dy = bs_dir()
	local nx,ny = bs_normal()
	local r,g,b = bs_fore( p )

	if w < 5 then
		w = 5
	end

	if not firstDraw then
		local distance = bs_distance( lastDrawX - x, lastDrawY - y )
			if distance < w * bs_param1()/20 then
				return 0
			end
	end

	local id = 1
	local code = ''

	repeat

		code = cmdcon[shape[id]]

		if (code=='z') then
				bs_bezier_mul( (mul+rdm2) * w, (mul+rdm2) * w ) 
				bs_bezier_rotate(bs_atan( dx, dy )+rdm1 )
				bs_bezier_move( x, y )
				bs_fill( r,g,b, 255 )
				id = id + 1
		else
			id = ( cmd[code] or cmd.default )( shape, id+1 )
		end

	until id > #shape

	lastDrawX = x
	lastDrawY = y
	firstDraw = false

	return 1
end


lastDrawX = 0
lastDrawY = 0
firstDraw = true

cmdcon = { 'b', 'm', 'c', 'l'}
cmdcon[0] = 'z'
cmd = cmd or {
	b = function( bz, i )
			bs_bezier_begin( bz[i], bz[i+1] )
			return i+2
		end,
	m = function( bz, i )
			bs_bezier_m( bz[i], bz[i+1] )
			return i+2
		end,
	c = function( bz, i )
			bs_bezier_c( bz[i], bz[i+1], bz[i+2], bz[i+3], bz[i+4], bz[i+5] )
			return i+6
		end,
	l = function( bz, i )
			bs_bezier_l( bz[i], bz[i+1] )
			return i+2
		end,

	default = function( bz, i )
			return  i
		end,
	}

-- uV`f[^


